Skip to content
Start here

Update Leaked Credential Checks Custom Detection

client.LeakedCredentialChecks.Detections.Update(ctx, detectionID, params) (*DetectionUpdateResponse, error)
PUT/zones/{zone_id}/leaked-credential-checks/detections/{detection_id}

Update user-defined detection pattern for Leaked Credential Checks.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone WAF WriteAccount WAF Write
ParametersExpand Collapse
detectionID string

Defines the unique ID for this custom detection.

maxLength32
params DetectionUpdateParams
ZoneID param.Field[string]

Path param: Defines an identifier.

maxLength32
Password param.Field[string]optional

Body param: Defines ehe ruleset expression to use in matching the password in a request.

Username param.Field[string]optional

Body param: Defines the ruleset expression to use in matching the username in a request.

ReturnsExpand Collapse
type DetectionUpdateResponse struct{…}

Defines a custom set of username/password expressions to match Leaked Credential Checks on.

ID stringoptional

Defines the unique ID for this custom detection.

maxLength32
Password stringoptional

Defines ehe ruleset expression to use in matching the password in a request.

Username stringoptional

Defines the ruleset expression to use in matching the username in a request.

Update Leaked Credential Checks Custom Detection

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/leaked_credential_checks"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  detection, err := client.LeakedCredentialChecks.Detections.Update(
    context.TODO(),
    "18a14bafaa8eb1df04ce683ec18c765e",
    leaked_credential_checks.DetectionUpdateParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", detection.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "18a14bafaa8eb1df04ce683ec18c765e",
    "password": "lookup_json_string(http.request.body.raw, \"secret\")",
    "username": "lookup_json_string(http.request.body.raw, \"user\")"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "18a14bafaa8eb1df04ce683ec18c765e",
    "password": "lookup_json_string(http.request.body.raw, \"secret\")",
    "username": "lookup_json_string(http.request.body.raw, \"user\")"
  },
  "success": true
}